Endpoint Groups
Dashboards
Dashboard and widget authoring plus resolved dashboard views.
List dashboardsGET
/dashboards
Operation ID
listDashboardsQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
owner |
string |
false |
- |
page_token |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
429 |
Client error |
500 |
Server error |
Create dashboardPOST
/dashboards
Operation ID
createDashboardRequest Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Get dashboardGET
/dashboards/{dashboardId}
Operation ID
getDashboardPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
dashboardId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Update dashboardPATCH
/dashboards/{dashboardId}
Operation ID
updateDashboardPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
dashboardId |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Delete dashboardDELETE
/dashboards/{dashboardId}
Operation ID
deleteDashboardPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
dashboardId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Get resolved dashboardGET
/dashboards/{dashboardId}/resolved
Operation ID
getResolvedDashboardPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
dashboardId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Create dashboard widgetPOST
/dashboards/{dashboardId}/widgets
Operation ID
createDashboardWidgetPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
dashboardId |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Update dashboard widgetPATCH
/dashboards/{dashboardId}/widgets/{widgetId}
Operation ID
updateDashboardWidgetPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
dashboardId |
string |
true |
- |
widgetId |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Delete dashboard widgetDELETE
/dashboards/{dashboardId}/widgets/{widgetId}
Operation ID
deleteDashboardWidgetPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
dashboardId |
string |
true |
- |
widgetId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |